Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class PrincipalImpl

    java.lang.Object
      |
      +--org.w3c.jigsaw.servlet.PrincipalImpl

All Implemented Interfaces:
  java.security.Principal

public class PrincipalImpl
extends java.lang.Object
implements java.security.Principal

Field Summary
`protected java.lang.String` | `name`

Constructor Summary
`PrincipalImpl(java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object another)` Compares this principal to the specified object.
`java.lang.String` | `getName()` Returns the name of this principal.
`int` | `hashCode()` Returns a hashcode for this principal.
`java.lang.String` | `toString()` Returns a string representation of this principal.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

Constructor Detail

### PrincipalImpl

    public PrincipalImpl(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object another)

  Compares this principal to the specified object. Returns true if the object passed in matches the principal represented by the implementation of this interface.

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `another` - principal to compare with.
  Returns:
    true if the principal passed in is the same as that encapsulated by this principal, and false otherwise.

### toString

    public java.lang.String toString()

  Returns a string representation of this principal.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this principal.

### hashCode

    public int hashCode()

  Returns a hashcode for this principal.

  Specified by:
    `hashCode` in interface `java.security.Principal`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hashcode for this principal.

### getName

    public java.lang.String getName()

  Returns the name of this principal.

  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:
    the name of this principal.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD